Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 91696 - New SCSI disk majors missing from glibc-kernheaders
New SCSI disk majors missing from glibc-kernheaders
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 09:16 EDT by Mark Hemment
Modified: 2016-11-24 09:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 07:51:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hemment 2003-05-27 09:16:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0smp i686)

Description of problem:
  The header file;
	/usr/include/linux/major.h
does not contain #defines for the new SCSI disk majors.  Missing are symbols
SCSI_DISK10_MAJOR through to SCSI_DISK17_MAJOR - these are present in
the kernel's major.h

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-8.12

How reproducible:
Always

Steps to Reproduce:
1. Write a program which references these new symbols
2.
3.
    

Actual Results:  Program fails to compile.

Additional info:
Comment 1 Jakub Jelinek 2003-06-02 07:51:42 EDT
Should be fixed in glibc-kernheaders-2.4-8.16.
Comment 2 Arjan van de Ven 2003-06-02 08:03:04 EDT
which architecture ?

Note You need to log in before you can comment on or make changes to this bug.